Package org.eclipse.emf.cdo.spi.server

## Class RepositoryUserManager.RepositoryUserManagerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.UserManagerFactory
    - - org.eclipse.emf.cdo.spi.server.RepositoryUserManager.RepositoryUserManagerFactory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    RepositoryUserManager

      public abstract static class RepositoryUserManager.RepositoryUserManagerFactory
      extends org.eclipse.net4j.util.security.UserManagerFactory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.security.UserManagerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RepositoryUserManagerFactory​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `create​(java.lang.String description)` |
    `protected abstract RepositoryUserManager` | `doCreate​(java.lang.String description)` |
    `protected java.lang.String` | `getRepositoryName​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryUserManagerFactory

          protected RepositoryUserManagerFactory​(java.lang.String type)

  - ### Method Detail

    - #### create

          public final java.lang.Object create​(java.lang.String description)
                                        throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`

    - #### getRepositoryName

          protected java.lang.String getRepositoryName​(java.lang.String description)

    - #### doCreate

          protected abstract RepositoryUserManager doCreate​(java.lang.String description)
                                                     throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`